# Activerecord::Mlang

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/activerecord/mlang`. To experiment with that code, run `bin/console` for an interactive prompt.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'activerecord-mlang'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install activerecord-mlang

## Usage

Create migration file

    $ rake db:mlang:create 

Migration file is Created

    db/migrate/20150725061913_create_langs_table.rb 

Do migration

    $ rake db:migrate

Include Modules

    class DummyClass < ActiveRecord::Base
      include ActiveRecord::Mlang
    end

    class DummyClassText < ActiveRecord::Base
      include ActiveRecord::MlangText
    end


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake rspec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/activerecord-mlang. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

